PUT
/api/public/v1/customers/{accountId}/custom-fields

Set customer custom field values

Bulk upsert custom field values for a customer.

Path Parameters

NameTypeRequiredDescription
accountIdstring
Required
Customer (account) ID.

Request Body

PropertyTypeDescription
valuesarrayArray of { customFieldId, value }. value is coerced based on the field type.
PUTExample request
curl
curl -X PUT "https://www.pxb.app/api/public/v1/customers/{accountId}/custom-fields" \
  -H "X-Organization-Id: your_org_id" \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "values": [
      {
        "customFieldId": "cf_1",
        "value": "email"
      }
    ]
  }'
200Example response
json
{
  "message": "Customer custom field values saved successfully!",
  "content": {}
}